%global _empty_manifest_terminate_build 0
Name:		python-phonenumbers
Version:	8.13.8
Release:	1
Summary:	Python version of Google's common library for parsing, formatting, storing and validating international phone numbers.
License:	Apache-2.0
URL:		https://github.com/daviddrysdale/python-phonenumbers
Source0:	https://files.pythonhosted.org/packages/64/e8/7e670c332d3f0b947caff2daf9fd42ccc6c01c9d50162e52e9d243d1129a/phonenumbers-8.13.8.tar.gz
BuildArch:	noarch


%description
Python version of Google's common library for parsing, formatting, storing and validating international phone numbers.

%package -n python3-phonenumbers
Summary:	Python version of Google's common library for parsing, formatting, storing and validating international phone numbers.
Provides:	python-phonenumbers = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description -n python3-phonenumbers
Python version of Google's common library for parsing, formatting, storing and validating international phone numbers.

%package help
Summary:	Development documents and examples for phonenumbers
Provides:	python3-phonenumbers-doc

%description help
Python version of Google's common library for parsing, formatting, storing and validating international phone numbers.

%prep
%autosetup -n phonenumbers-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-phonenumbers -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Apr 6 2023 liyanan <thistleslyn@163.com> - 8.13.8-1
- Update package to version 8.13.8

* Mon Feb 27 2023 wubijie <wubijie@kylinos.cn> - 8.13.6-1
- Update package to version 8.13.6

* Wed Feb 8 2023 wubijie <wubijie@kylinos.cn> - 8.13.5-1
- Update package to version 8.13.5

* Fri Dec 16 2022 chendexi <chendexi@kylinos.cn> - 8.13.2-1
- Upgrade package to version 8.13.2

* Tue Nov 08 2022 wangjunqi <wangjunqi@kylinos.cn> - 8.13.0-1
- Update package to version 8.13.0

* Tue Aug 31 2021 Python_Bot <Python_Bot@openeuler.org> - 8.12.31-1
- Package Init

